Bug 30253 - Double mana_success line is no success
Summary: Double mana_success line is no success
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on: 17047
Blocks:
  Show dependency treegraph
 
Reported: 2022-03-09 12:45 UTC by Marcel de Rooy
Modified: 2022-03-25 13:53 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.05


Attachments
Bug 30253: Remove a double mana_success parameter (1010 bytes, patch)
2022-03-09 12:48 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 30253: Remove a double mana_success parameter (1.02 KB, patch)
2022-03-21 12:04 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2022-03-09 12:45:05 UTC
(Almost) duplicated line may cause side-effect of shifting parameters and values in a hash.
Causing warnings like:

[2022/03/07 15:44:13] [WARN] Problem = a value of mana_id has been passed to param without key at /usr/share/koha/C4/Templates.pm line 138.
[2022/03/07 15:44:13] [WARN] Problem = a value of mana_comments has been passed to param without key at /usr/share/koha/C4/Templates.pm line 138.

Simple fix
Comment 1 Marcel de Rooy 2022-03-09 12:48:25 UTC
Created attachment 131522 [details] [review]
Bug 30253: Remove a double mana_success parameter

Remove the line without the scalar.

Test plan:
Just look at the code.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2022-03-09 12:48:45 UTC
Self SO: trivial
Comment 3 Jonathan Druart 2022-03-21 12:04:38 UTC
Created attachment 131962 [details] [review]
Bug 30253: Remove a double mana_success parameter

Remove the line without the scalar.

Test plan:
Just look at the code.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Fridolin Somers 2022-03-22 20:19:41 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 5 Kyle M Hall 2022-03-25 13:53:19 UTC
Pushed to 21.11.x for 21.11.05